<?php
/**
 * Custom Pro Features Option Class
 *
 * @package errigal
 * @since 1.1.0
 */

namespace Errigal\Customiser;

defined( 'ABSPATH' ) || exit;

/**
 * This class is in charge of showing pro features in customiser.
 *
 * @since 1.1.0
 */
final class Errigal_Custom_Pro_Features_Option extends Errigal_Custom_Option_Base {
	/**
	 * Setting ID: Pro features.
	 *
	 * @since 1.0.0
	 *
	 * @var string
	 */
	private const ID_PRO_FEATURES = 'pro_features';

	/**
	 * Gets controls args.
	 *
	 * @since 1.1.0
	 *
	 * @return array
	 */
	public function get_controls_args() {
		return array(
			self::CONTROLS_TO_ADD => array(
				self::ID_PRO_FEATURES => array(
					self::CUSTOMISE_ARGS_CONTROL => array(
						self::CONTROL_TYPE => self::CONTROL_TYPE_PRO_FEATURES,
					),
				),
			),
		);
	}
}
